%define upstream_name    List-BinarySearch-XS
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Binary Search a sorted array with XS routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
A binary search searches _sorted_ lists using a divide and conquer
technique. On each iteration the search domain is cut in half, until the
result is found. The computational complexity of a binary search is O(log
n).

This module implements several Binary Search algorithms using XS code for
optimal performance. You are free to use this module directly, or as a
plugin for the more general the List::BinarySearch manpage.

The binary search algorithm implemented in this module is known as a
_Deferred Detection_ Binary Search. Deferred Detection provides *stable
searches*. Stable binary search algorithms have the following
characteristics, contrasted with their unstable binary search cousins:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README Changes META.json
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Sun Nov 26 2023 tv <tv> 0.90.0-16.mga10
+ Revision: 2009855
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.90.0-15.mga9
+ Revision: 1862065
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.90.0-14.mga9
+ Revision: 1795885
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.90.0-13.mga9
+ Revision: 1726846
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.90.0-12.mga8
+ Revision: 1594849
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.90.0-11.mga8
+ Revision: 1529724
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.90.0-10.mga8
+ Revision: 1433815
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.90.0-9.mga7
+ Revision: 1293331
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.90.0-8.mga7
+ Revision: 1249516
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.90.0-7.mga7
+ Revision: 1165260
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.90.0-6.mga7
+ Revision: 1149044
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.90.0-5.mga7
+ Revision: 1126648
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-4.mga6
+ Revision: 1029182
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.90.0-3.mga6
+ Revision: 957662
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.90.0-2.mga6
+ Revision: 844220
- Rebuild for perl 5.22

* Fri Mar 27 2015 shlomif <shlomif> 0.90.0-1.mga6
+ Revision: 819331
- imported package perl-List-BinarySearch-XS

